## glibc-doc-reference 2.27

=== debian/changelog ===
glibc-doc-reference (2.27-1) unstable; urgency=medium

  * New upstream version:
    - debian/patches/03-SC_SSIZE_MAX.diff: upstreamed.
    - debian/patches/04-finite.diff: upstreamed.

 -- Aurelien Jarno <aurel32@debian.org>  Sat, 03 Mar 2018 14:01:13 +0100

glibc-doc-reference (2.26-2) unstable; urgency=medium

  * debian/control: Update Vcs-Git and Vcs-Browser fields following the move
    to Salsa.
  * debian/rules: do a local bare clone before using git archive as it doesn't
    support https.

 -- Aurelien Jarno <aurel32@debian.org>  Sat, 03 Feb 2018 15:32:29 +0100

glibc-doc-reference (2.26-1) unstable; urgency=medium

  * New upstream version:
    - Refresh 03-SC_SSIZE_MAX.diff and 04-finite.diff.
  * Build-depends on texlive-binaries instead of texlive-base-bin.
  * debian/rules: prefer https links.
  * Update to standards-version 4.1.3.

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 07 Jan 2018 23:03:11 +0100

glibc-doc-reference (2.25-3) unstable; urgency=medium

  * debian/copyright: refer to /usr/share/common-licenses instead of
    including the full GFDL license.
  * debian/patches/03-SC_SSIZE_MAX.diff: add missing underscore in front
    of SC_SSIZE_MAX (closes: #756858).
  * debian/patches/04-finite.diff: fix description of finite (closes:
    #593532).

 -- Aurelien Jarno <aurel32@debian.org>  Sat, 23 Dec 2017 14:19:56 +0100

glibc-doc-reference (2.25-2) unstable; urgency=medium

  * Add XS-Autobuild: yes to debian/control.
  * Update debian/copyright with the GFDL 1.3.
  * Resurrect accidentally-dropped patch to prevent the indexing of
    every libc function in the main info directory (closes: #536506).

 -- Aurelien Jarno <aurel32@debian.org>  Wed, 06 Dec 2017 13:09:23 +0100

glibc-doc-reference (2.25-1) unstable; urgency=medium

  * New upstream version (closes: #864470):
    - Fixes description of LC_ALL local category (closes: #151101).
    - Fixes zoneinfo path in the TZ variable node (closes: #293043).
  * Switch to 3.0 (quilt) format.
  * Add a get-orig-source target.
  * Instead of patching the upstream Makefile, provide minimal Makeconfig,
    Rules and config.make.
  * Switch to dh with compat 10.
  * Update to standards-version 4.1.2.
  * Remove Jeff Bailey from uploaders (closes: #835616).
  * Remove GOTO Masanori from uploaders (closes: #839678).
  * Remove Daniel Jacobowitz from uploaders (closes: #869306).
  * Drop ancient conflicts.
  * Add Suggests: info-browser, pdf-viewer, www-browser (closes: #823645).
  * Add Vcs-Browser and Vcs-Git fields.

 -- Aurelien Jarno <aurel32@debian.org>  Tue, 05 Dec 2017 20:33:30 +0100

glibc-doc-reference (2.19-1) unstable; urgency=medium

  * Upload to unstable. 

 -- Aurelien Jarno <aurel32@debian.org>  Wed, 04 Jun 2014 23:32:25 +0200

glibc-doc-reference (2.19-0experimental1) experimental; urgency=medium

  * New upstream release, based on glibc 2.18 and my 2.16 fixes.
  * Update to standards-version 3.9.5, with no required changes.

 -- Adam Conrad <adconrad@0c3.net>  Wed, 19 Feb 2014 21:57:27 -0700

glibc-doc-reference (2.18-0experimental1) experimental; urgency=low

  * New upstream release, based on the 2.18 manual and my 2.16 fixes.
  * Tidy up debian/control: drop obsolete texi2html build-dep, and
    duplicate section and priority entries in binary control fields.
  * Explicitly document source format 1.0 in debian/source/format.
  * Cargo-cult the debian/watch file from the eglibc source package.

 -- Adam Conrad <adconrad@0c3.net>  Mon, 09 Dec 2013 22:29:07 -0700

glibc-doc-reference (2.17-2) unstable; urgency=low

  * Resurrect accidentally-dropped patch to prevent the indexing of
    every libc function in the main info directory (closes: #536506)

 -- Adam Conrad <adconrad@0c3.net>  Thu, 11 Jul 2013 09:11:03 -0600

glibc-doc-reference (2.17-1) unstable; urgency=low

  * Upload build to unstable to match the new eglibc 2.17 upload.
  * Update to standards-version 3.9.4, with no required changes.

 -- Adam Conrad <adconrad@0c3.net>  Mon, 13 May 2013 14:01:39 -0600

glibc-doc-reference (2.17-0experimental1) experimental; urgency=low

  * New upstream release, based on the 2.17 manual and my 2.16 fixes.
  * Add build-{arch,indep} rules and bump to standards-version 3.9.3.

 -- Adam Conrad <adconrad@0c3.net>  Wed, 26 Dec 2012 13:16:38 -0700

glibc-doc-reference (2.16-0experimental1) experimental; urgency=low

  * New upstream version:
    - Revert to Makefile and libc-texinfo.sh from 2.13 (with some
      tweaks), as the 2.16 versions are rather sad out-of-tree.
    - Create a version.texi with the upstream version, as this
      would normally be generated by the glibc build when in-tree.

 -- Adam Conrad <adconrad@0c3.net>  Fri, 26 Oct 2012 14:03:26 +0100

glibc-doc-reference (2.13-1) unstable; urgency=low

  * New upstream version:
    - Fix rpmatch() example wrt getline() usage (closes: #367849).
  * Bump Standards-Version to 3.9.2.

 -- Aurelien Jarno <aurel32@debian.org>  Mon, 02 May 2011 19:39:48 +0200

glibc-doc-reference (2.11.1-2) unstable; urgency=low

  * Build depends on texlive-latex-base (closes: #611411). 

 -- Aurelien Jarno <aurel32@debian.org>  Sat, 29 Jan 2011 19:32:10 +0100

glibc-doc-reference (2.11.1-1) unstable; urgency=low

  * New usptream version. 
  * Bump Standards-Version to 3.8.4.

 -- Aurelien Jarno <aurel32@debian.org>  Tue, 08 Jun 2010 16:53:14 +0200

glibc-doc-reference (2.10.1-1) unstable; urgency=low

  * New upstream version. 
  * Bump Standards-Version to 3.8.3.
  * Rebuild against recent debhelper (closes: bug#550897).
  * Remove Ben Collins <bcollins@debian.org> from the uploaders (Closes:
    bug#540903).

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 18 Oct 2009 20:24:25 +0000

glibc-doc-reference (2.9-2) unstable; urgency=low

  * Add patch from Sven Joachim to prevent indexing every libc
    function  (closes: bug#536506).
  * Bump Standards-Version to 3.8.2.
  * Switch to debhelper 5.0. 

 -- Aurelien Jarno <aurel32@debian.org>  Sat, 11 Jul 2009 13:04:34 +0200


