=== debian/control ===
Source: glibc-doc-reference
Section: non-free/doc
Priority: optional
Build-Depends: debhelper (>= 10)
Build-Depends-Indep: texinfo, gawk, texlive-binaries, texlive-latex-base
Maintainer: GNU Libc Maintainers <debian-glibc@lists.debian.org>
Uploaders: Clint Adams <schizo@debian.org>, Aurelien Jarno <aurel32@debian.org>, Adam Conrad <adconrad@0c3.net>
Standards-Version: 4.1.3
Vcs-Browser: https://salsa.debian.org/glibc-team/glibc-doc-reference
Vcs-Git: https://salsa.debian.org/glibc-team/glibc-doc-reference.git
XS-Autobuild: yes

Package: glibc-doc-reference
Architecture: all
Depends: ${misc:Depends}
Description: GNU C Library: Documentation
 Contains The GNU C Library Reference manual in info, pdf and html format.
