## glibc-doc-reference 2.28

=== debian/changelog ===
glibc-doc-reference (2.28-1) unstable; urgency=medium

  * New upstream version.
  * Set Rules-Requires-Root: no.
  * Update to standards-version 4.2.1.

 -- Aurelien Jarno <aurel32@debian.org>  Tue, 04 Dec 2018 20:43:41 +0100
