=== debian/control ===
--- 
+++ 
@@ -5,10 +5,11 @@
 Build-Depends-Indep: texinfo, gawk, texlive-binaries, texlive-latex-base
 Maintainer: GNU Libc Maintainers <debian-glibc@lists.debian.org>
 Uploaders: Clint Adams <schizo@debian.org>, Aurelien Jarno <aurel32@debian.org>, Adam Conrad <adconrad@0c3.net>
-Standards-Version: 4.1.3
+Standards-Version: 4.2.1
 Vcs-Browser: https://salsa.debian.org/glibc-team/glibc-doc-reference
 Vcs-Git: https://salsa.debian.org/glibc-team/glibc-doc-reference.git
 XS-Autobuild: yes
+Rules-Requires-Root: no
 
 Package: glibc-doc-reference
 Architecture: all
