## glibc-doc-reference 2.29

=== debian/changelog ===
glibc-doc-reference (2.29-1ubuntu1) eoan; urgency=low

  * Merge from Debian unstable.  Remaining changes:

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 24 Aug 2019 21:10:43 -0700

glibc-doc-reference (2.29-1) unstable; urgency=medium

  * New upstream version:
    - Add math/gen-libm-test.py to the orig tarball.
    - Add a build-depends on python3.
    - Define python in build/config.make.
  * Update to standards-version 4.4.0 (no changes).
  * Switch to dh with compat 12.

 -- Aurelien Jarno <aurel32@debian.org>  Fri, 16 Aug 2019 22:25:54 +0200

glibc-doc-reference (2.28-1ubuntu1) eoan; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Revert "Revert: Remove inappropriate joke".

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 02 May 2019 15:17:52 -0700

glibc-doc-reference (2.27-1ubuntu1) disco; urgency=medium

  * Revert "Revert: Remove inappropriate joke".

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Fri, 09 Nov 2018 17:11:54 +0000
