## glibc-doc-reference 2.30

=== debian/changelog ===
glibc-doc-reference (2.30-1ubuntu1) focal; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Revert "Revert: Remove inappropriate joke".

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 13 Feb 2020 12:42:43 -0800

glibc-doc-reference (2.30-1) unstable; urgency=medium

  * New upstream version.
  * Use the declarative form of debhelper compat 12.
  * Update to standards-version 4.5.0 (no changes).

 -- Aurelien Jarno <aurel32@debian.org>  Sat, 08 Feb 2020 13:32:26 +0100
