=== debian/control ===
--- 
+++ 
@@ -1,12 +1,12 @@
 Source: glibc-doc-reference
 Section: non-free/doc
 Priority: optional
-Build-Depends: debhelper (>= 12)
+Build-Depends: debhelper-compat (= 12)
 Build-Depends-Indep: texinfo, gawk, python3, texlive-binaries, texlive-latex-base
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: GNU Libc Maintainers <debian-glibc@lists.debian.org>
 Uploaders: Clint Adams <schizo@debian.org>, Aurelien Jarno <aurel32@debian.org>, Adam Conrad <adconrad@0c3.net>
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/glibc-team/glibc-doc-reference
 Vcs-Git: https://salsa.debian.org/glibc-team/glibc-doc-reference.git
 XS-Autobuild: yes
