## glibc-doc-reference 2.31

=== debian/changelog ===
glibc-doc-reference (2.31-1) unstable; urgency=medium

  * New upstream version.

 -- Aurelien Jarno <aurel32@debian.org>  Wed, 03 Jun 2020 23:30:58 +0200
