=== debian/rules ===
--- 
+++ 
@@ -16,6 +16,7 @@
 	echo "MAKEINFO = makeinfo"                                           >  $(CURDIR)/build/config.make
 	echo "AWK = gawk"                                                    >> $(CURDIR)/build/config.make
 	echo "PERL = perl"                                                   >> $(CURDIR)/build/config.make
+	echo "PYTHON = python3"                                              >> $(CURDIR)/build/config.make
 	echo "PKGVERSION_TEXI = (Debian glibc-doc-reference $(DEB_VERSION))" >> $(CURDIR)/build/config.make
 	echo "REPORT_BUGS_TEXI = @uref{https://www.debian.org/Bugs/}"        >> $(CURDIR)/build/config.make
 	$(MAKE) -C manual objdir=$(CURDIR)/build info html pdf
@@ -32,6 +33,7 @@
 	(cd $(GLIBC_CHECKOUT) && git archive -v --format=tar $(GLIBC_TAG)) | tar -C $(DEB_DIR) -xf -
 	tar --mode=go=rX,u+rw,a-s --owner=root --group=root --numeric-owner -Jcf $(DEB_ORIG) \
 		$(DEB_DIR)/manual \
+		$(DEB_DIR)/math/gen-libm-test.py \
 		$(DEB_DIR)/scripts/mkinstalldirs \
 		$(DEB_DIR)/scripts/move-if-change \
 		`find $(DEB_DIR) -name "libm-test-ulps*"`
