## glibc-doc-reference 2.33

=== debian/changelog ===
glibc-doc-reference (2.33-0ubuntu1) hirsute; urgency=medium

  * New upstream release.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 03 Mar 2021 06:56:36 +0000
