## glibc-doc-reference 2.35

=== debian/changelog ===
glibc-doc-reference (2.35-0ubuntu1) jammy; urgency=medium

  * New upstream release.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Thu, 24 Feb 2022 10:48:30 +1300
