## glibc-doc-reference 2.36

=== debian/changelog ===
glibc-doc-reference (2.36-1) unstable; urgency=medium

  * New upstream version. 

 -- Aurelien Jarno <aurel32@debian.org>  Sat, 29 Oct 2022 14:20:46 +0200

glibc-doc-reference (2.35-1) unstable; urgency=medium

  * New upstream version.

 -- Aurelien Jarno <aurel32@debian.org>  Sat, 10 Sep 2022 23:53:44 +0200

glibc-doc-reference (2.34-1) unstable; urgency=medium

  * New upstream version.
  * Update to standards-version 4.6.1 (no changes).

 -- Aurelien Jarno <aurel32@debian.org>  Wed, 03 Aug 2022 13:02:47 +0200

glibc-doc-reference (2.33-1) unstable; urgency=medium

  * New upstream version.

 -- Aurelien Jarno <aurel32@debian.org>  Mon, 06 Dec 2021 22:11:48 +0000

glibc-doc-reference (2.32-1) unstable; urgency=medium

  * New upstream version.
  * debian/control: remove Adam Conrad from Uploaders. RIP.  Closes: #986955.
  * Update to standards-version 4.6.0 (no changes).
  * Bump debhelper compat to 13.

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 22 Aug 2021 11:22:00 +0200
