=== debian/control ===
Source: glibc-doc-reference
Section: non-free/doc
Priority: optional
Build-Depends: debhelper-compat (= 13)
Build-Depends-Indep: texinfo, gawk, python3, texlive-binaries, texlive-latex-base
Maintainer: GNU Libc Maintainers <debian-glibc@lists.debian.org>
Uploaders: Clint Adams <schizo@debian.org>, Aurelien Jarno <aurel32@debian.org>
Standards-Version: 4.6.1
Vcs-Browser: https://salsa.debian.org/glibc-team/glibc-doc-reference
Vcs-Git: https://salsa.debian.org/glibc-team/glibc-doc-reference.git
XS-Autobuild: yes
Rules-Requires-Root: no

Package: glibc-doc-reference
Architecture: all
Depends: ${misc:Depends}
Description: GNU C Library: Documentation
 Contains The GNU C Library Reference manual in info, pdf and html format.
