## glibc-doc-reference 2.37

=== debian/changelog ===
glibc-doc-reference (2.37-1) unstable; urgency=medium

  * New upstream version.
  * Update to standards-version 4.6.2 (no changes).

 -- Aurelien Jarno <aurel32@debian.org>  Sat, 01 Jul 2023 21:15:35 +0200
