## glibc-doc-reference 2.38

=== debian/changelog ===
glibc-doc-reference (2.38-1) unstable; urgency=medium

  * New upstream version.

 -- Aurelien Jarno <aurel32@debian.org>  Thu, 04 Jan 2024 16:49:04 +0100
