## glibc-doc-reference 2.40

=== debian/changelog ===
glibc-doc-reference (2.40-1) unstable; urgency=medium

  * New upstream version.

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 25 Aug 2024 20:04:37 +0200

glibc-doc-reference (2.39-1) unstable; urgency=medium

  * New upstream version.
  * Update to standards-version 4.7.0 (no changes).

 -- Aurelien Jarno <aurel32@debian.org>  Tue, 16 Jul 2024 21:21:32 +0200
