## glibc-doc-reference 2.41

=== debian/changelog ===
glibc-doc-reference (2.41-1) unstable; urgency=medium

  * New upstream version.
  * debian/rules: use /usr/share/dpkg/pkg-info.mk instead of calling
    dpkg-parsechangelog.
  * debian/watch: update.
  * Update to standards-version 4.7.2 (no changes).

 -- Aurelien Jarno <aurel32@debian.org>  Fri, 28 Feb 2025 20:05:29 +0100
