=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Build-Depends-Indep: texinfo, gawk, python3, texlive-binaries, texlive-latex-base
 Maintainer: GNU Libc Maintainers <debian-glibc@lists.debian.org>
 Uploaders: Clint Adams <schizo@debian.org>, Aurelien Jarno <aurel32@debian.org>
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/glibc-team/glibc-doc-reference
 Vcs-Git: https://salsa.debian.org/glibc-team/glibc-doc-reference.git
 XS-Autobuild: yes
