=== debian/rules ===
--- 
+++ 
@@ -1,12 +1,13 @@
 #!/usr/bin/make -f
 
-DEB_VERSION = $(shell dpkg-parsechangelog | awk '/^Version/ {print $$2}')
-UPSTREAM_VERSION = $(shell echo $(DEB_VERSION) | sed 's/-.*//')
+include /usr/share/dpkg/pkg-info.mk
+
+DEB_VERSION_UPSTREAM = $(shell echo $(DEB_VERSION) | sed 's/-.*//')
 GLIBC_GIT = https://sourceware.org/git/glibc.git
-GLIBC_TAG = glibc-$(UPSTREAM_VERSION)
+GLIBC_TAG = glibc-$(DEB_VERSION_UPSTREAM)
 GLIBC_CHECKOUT = glibc-checkout
-DEB_DIR = glibc-doc-reference-$(UPSTREAM_VERSION)
-DEB_ORIG = ../glibc-doc-reference_$(UPSTREAM_VERSION).orig.tar.xz
+DEB_DIR = glibc-doc-reference-$(DEB_VERSION_UPSTREAM)
+DEB_ORIG = ../glibc-doc-reference_$(DEB_VERSION_UPSTREAM).orig.tar.xz
 
 %:
 	dh $@
