=== debian/watch ===
version=4
https://ftp.gnu.org/gnu/libc/glibc-([\d\.]+)\.tar\.gz debian uupdate
