## glibc-doc-reference 2.42

=== debian/changelog ===
glibc-doc-reference (2.42-1) unstable; urgency=medium

  * New upstream version.
  * debian/control: drop Rules-Requires-Root field, now obsolete.

 -- Aurelien Jarno <aurel32@debian.org>  Thu, 04 Dec 2025 21:54:38 +0100
