=== debian/control ===
--- 
+++ 
@@ -9,7 +9,6 @@
 Vcs-Browser: https://salsa.debian.org/glibc-team/glibc-doc-reference
 Vcs-Git: https://salsa.debian.org/glibc-team/glibc-doc-reference.git
 XS-Autobuild: yes
-Rules-Requires-Root: no
 
 Package: glibc-doc-reference
 Architecture: all
